1

I just upgraded the geth nodes of my private PoW network from 1.8.27 to 1.9.1, and right after starting up the nodes, it spills out tons of warnings non-stop like

WARN [07-30|18:33:52.134] Served eth_signTransaction               conn=82.196.0.91:48454 reqid=0 t=14.7128ms err="authentication needed: password or unlock"

It seems the private Ethereum network itself is functioning ok, and the miner can mine blocks and process transactions alright, but the tons of non-stop warning messages quickly eat up the log, so what does it mean and how may I fix or silence this warning? Thanks.

  • Is that the server IP address? If not then your server RPC port is public and someones is trying to get access to your wallet. In a similar case we created a small python script that will listen in the RPC port and only forward a set of whitelisted commands and drop everything else. – Ismael Aug 3 at 12:40
  • @Ismael It's not the server IP address, and my private network is in a LAN environment which is not reacheable from outside (nor can it reach outside WAN addresses), so I'm not sure how anyone outside the LAN could access the nodes... also there's no such warning with geth v1.8.27, so is that a new warning for geth v1.9.x? – hellopeach Aug 5 at 8:35

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.